	program aap
	double precision x,y,dt,sum,s,xold,yold
        s=0.1
        xold=0.
	yold=s
	sum=0.d0
	do i=1,12000000
	x=i*1./10000.
	y=s*(1.-(x/1200.)**2)
	dt=sqrt((x-xold)**2+(y-yold)**2)
        sum=sum+dt
	xold=x
	yold=y
	enddo
	print *,sum
	end
        
